## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           azure-vm-utils
Version:        0.5.2
Release:        %autorelease
Summary:        Core utilities and configuration for Linux VMs on Azure

License:        MIT
URL:            https://github.com/Azure/%{name}
Source:         %{url}/archive/v%{version}/%{name}-v%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  gcc
BuildRequires:  pkgconfig(libudev)
BuildRequires:  json-c-devel
BuildRequires:  libcmocka-devel

Provides:       azure-nvme-utils = %{version}-%{release}
Obsoletes:      azure-nvme-utils < 0.1.3-3

%description
This package provides a home for core utilities, udev rules and other
configuration to support Linux VMs on Azure.

%prep
%autosetup -n %{name}-%{version}

%build
%cmake -DVERSION="%{version}-%{release}" -DAZURE_NVME_ID_INSTALL_DIR="%{_bindir}"
%cmake_build

%install
%cmake_install
install -D -m 0755 initramfs/dracut/modules.d/97azure-disk/module-setup.sh %{buildroot}%{_prefix}/lib/dracut/modules.d/97azure-disk/module-setup.sh
rm %{buildroot}%{_bindir}/azure-vm-utils-selftest
rm %{buildroot}%{_mandir}/man8/azure-vm-utils-selftest.8

%check
%ctest

%files
%defattr(-,root,root,-)
%{_mandir}/man8/azure-nvme-id.8.gz
%dir %{_prefix}/lib/dracut/modules.d/97azure-disk
%{_prefix}/lib/dracut/modules.d/97azure-disk/module-setup.sh
%{_bindir}/azure-nvme-id
%{_udevrulesdir}/80-azure-disk.rules

%changelog
## START: Generated by rpmautospec
* Tue Mar 18 2025 Jeremy Cline <jeremycline@linux.microsoft.com> - 0.5.2-1
- Update to v0.5.2
- Fix to handle sysconf call failures

* Fri Feb 28 2025 Chris Patterson <cpatterson@microsoft.com> - 0.5.1-1
- Bump to v0.5.1

* Fri Feb 21 2025 Chris Patterson <cpatterson@microsoft.com> - 0.5.0-1
- Uprev to 0.5.0
- Drop 0001-cmake-Allow-the-install-directory-to-be-configurable.patch
- Delete selftest executable after install
- Add new json-c and libcmocka build dependencies.

* Wed Jan 22 2025 Jeremy Cline <jeremycline@linux.microsoft.com> - 0.4.0-4
- Fix FTBFS from sbin/bin unification

* Thu Jan 16 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Tue Oct 15 2024 Chris Patterson <cpatterson@microsoft.com> - 0.4.0-2
- Update .gitignore for new sources

* Tue Oct 15 2024 Chris Patterson <cpatterson@microsoft.com> - 0.4.0-1
- Uprev to 0.4.0 and install dracut module.

* Fri Sep 20 2024 Chris Patterson <cpatterson@microsoft.com> - 0.3.0-1
- Initial import (fedora#2311827).
## END: Generated by rpmautospec
